<?php

include "LuxSciApi.php";

/** sample scripts demonstrating the usage of LuxSci Api in PHP
 * www.luxsci.com
 */
//set params for API
//For API "Account type" we don't need username and password.
//Make sure u have set correct permissions for both the  "Account type" and "User Type" API's

$token  = "XXXXXXXXXX";
$secret =  "YYYYYYYYY";
$acToken = "XVXVXXVXVXVXV";
$acSecret = "XYXYXYXYXXYYXY";
$new_username = "admin@XXXXXX.luxsci.net";
$new_password = "XXX!x";
$emailId = "admin@YYYY6.luxsci.net";
$password = "XXX!x";
$accountcode ="222";
$fileAttachment = "D:\luxsciPHP\myFile.txt"; 

//user access
$p = array(
	"secret" => $secret,
	"host" => "rest.luxsci.com",
	"debug" => 1,
	"user" => $emailId,
	"pass" => $password
	);



print "<br>================API request auth function to get auth token =============================================<br>";
//call auth function to get auth token
$res = Auth_Request(array_merge($p,array('token' => $token)));
$t = $res['data']['auth'];
PrintResponse($res);


if (! $t) exit;

print "<br>================API request function to get profile details=============================================<br>";
//Call API request function to get profile details
$res = API_Request( array_merge($p,
      array('auth' => $t,
      'method' => "GET",
      'path' => "/perl/api/v2/user/".$p['user']."/profile"))
   );
   
PrintResponse($res);

print "<br>================API request function to get users report =============================================<br>";

//Call API request function to get users report details


$res = Auth_Request(array_merge($p,array('token' => $acToken , "secret" => $acSecret,"user" => "")));
$t1 = $res['data']['auth'];
print "Response code:- " . $res['code'];
print "<br>Response: ";
print Dump($res['data']) . $t1;

if (! $t1) exit;

$res = API_Request( array_merge($p,
    array('auth' => $t1,
    "secret" => $acSecret,
    'token' => $acToken,
    "user" => "",
    'method' => "GET",
    'path' => "/perl/api/v2/account/".$accountcode."/users"))
);

PrintResponse($res);

print "<br>================API request function to get emails report =============================================<br>";

//Call API request function to get emails report details
$res = API_Request( array_merge($p,
        array('auth' => $t,
        'method' => "GET",
        'path' => "/perl/api/v2/user/".$p['user']."/report/email/webmail/sent"))
    );
    
PrintResponse($res);

print "<br>================API request function to set/change user full name=============================================<br>";
//Call API request function to set/change user full name
$res = API_Request( array_merge($p,
  array('auth' => $t,
      'method' => "PUT",
      'path' => "/perl/api/v2/user/".$p['user']."/profile",
      'data' => array('contact' => $new_username)
  )));

  PrintResponse($res);

#Call API request function to change user password
print "<br>================API request function to change user password=============================================<br>";
$res = API_Request( array_merge($p,
  array('auth' => $t,
      'method' => "PUT",
      'path' => "/perl/api/v2/user/".$p['user']."/password",
      'data' => array('password' => $new_password)
  )));

  PrintResponse($res);
#Call API request function to send mail
print "<br>================send mail=============================================<br>";

$sendEmailOrTextRequest = new SendEmailOrTextRequest();
$sendEmailOrTextRequest->from_name = "John from Lux";
$sendEmailOrTextRequest->from_address = "admin@cxxx.luxsci.net";
$sendEmailOrTextRequest->to = ['dfd@gmail.com'];
$sendEmailOrTextRequest->subject = 'test subject';
$sendEmailOrTextRequest->body_type = BodyType::Text;
$sendEmailOrTextRequest->body = "test message, body text \n John";

	
	// send a SecureLine Secure Email and SecureText
    $res =  sendEmailOrText($sendEmailOrTextRequest, $p, $t);
    PrintResponse($res);

    // #Call API request function to send a SecureLine Secure Email with secure text and attachment
    print "<br>================send mail with attachment=============================================<br>";
    
	$res =  sendEmailWithAttachment($sendEmailOrTextRequest, $p, $t, $fileAttachment);
    
    PrintResponse($res);
    print "<br>=================================================================<br>Done";
   
?>
